Name: sendmail
Version: 8.8.7
Release: 10 
Summary: sendmail mail transport agent
Copyright: UCB
Group: Daemons
Provides: smtpdaemon
Source0: ftp.cs.berkeley.edu:/ucb/sendmail/sendmail.8.8.7.tar.gz
Source1: sendmail.init
Source2: http://www.informatik.uni-kiel.de/%7Eca/email/rules/check.tar
Source3: aliases
Patch0: sendmail-8.8.7-misc.patch
Patch1: sendmail-8.8.7-cf.patch
Patch2: sendmail-8.7.1-makemapman.patch
Patch3: sendmail-8.7.1-smrsh.patch
BuildRoot: /var/tmp/sendmail.root

%changelog

* Thu Feb 19 1998 Timothy Stonis <tim@cobaltmicro.com>

 -Made mail for nobody go to /dev/null

* Sun Dec 14 1997 Andrew Bose <andrew@cobaltmicro.com>

- add LCD messages to sendmail.init

* Mon Oct 06 1997 Erik Troan <ewt@redhat.com>

- made aliases.db a ghost

* Tue Sep 23 1997 Donnie Barnes <djb@redhat.com>

- fixed preuninstall script to handle aliases.db on upgrades properly

* Mon Sep 15 1997 Donnie Barnes <djb@redhat.com>

- fixed post-install output and changed /var/spool/mqueue to 755

* Thu Sep 11 1997 Donnie Barnes <djb@redhat.com>

- fixed /usr/lib/sendmail-cf paths

* Tue Sep 09 1997 Donnie Barnes <djb@redhat.com>

- updated to 8.8.7
- added some spam filtration
- combined some makefile patches
- added BuildRoot support

* Wed Sep 03 1997 Erik Troan <ewt@redhat.com>

- marked initscript symlinks as missingok
- run newalises after creating /var/spool/mqueue

* Thu Jun 12 1997 Erik Troan <ewt@redhat.com>

- built against glibc, udated release to -6 (skipped -5!)

* Tue Apr 01 1997 Erik Troan <ewt@redhat.com>

Added -nsl on the Alpha (for glibc to provide NIS functions).

* Mon Mar 03 1997 Erik Troan <ewt@redhat.com>

Added nis support.

%description 
Sendmail is a Mail Transport Agent, which is the program
that moves mail from one machine to another.  Sendmail implements a
general internetwork mail routing facility, featuring aliasing and
forwarding, automatic routing to network gateways, and flexible
configuration.

If you need the ability to send and receive mail via the internet
you'll need sendmail.

%package doc
Summary: sendmail documentation
Group: Daemons

%description doc
This package includes release notes, the sendmail FAQ, and a few
papers written about sendmail.  The papers are available in PostScript
and troff.

%package cf
Summary: sendmail configuration files and m4 macros
Group: Daemons

%description cf
This package contains all the configuration files used to generate
the sendmail.cf file distributed with the base sendmail package.
You'll want this package if you need to reconfigure and rebuild
your sendmail.cf file.  For example, the default sendmail.cf is
not configured for UUCP.  If you need to send and receive mail
over UUCP, you may need this package to help you reconfigure sendmail.

%prep
%setup -n sendmail-8.8.7

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
cd cf
tar xvf $RPM_SOURCE_DIR/check.tar
chown root.root hack/* README.check
cd ..

%build
cd src
rm -f Makefile
ln -sf Makefiles/Makefile.Linux Makefile
make DESTDIR=$RPM_BUILD_ROOT sendmail
cd ..

cd mailstats
rm -f Makefile
make CFLAGS="$RPM_OPT_FLAGS -I../src -DNEWDB" LDFLAGS=-s mailstats
cd ..

cd rmail
rm -f Makefile
make CFLAGS="$RPM_OPT_FLAGS -I../src -DNEWDB" LDFLAGS=-s rmail
cd ..

cd makemap
cc -o makemap $RPM_OPT_FLAGS -I../src -DNEWDB -DNOT_SENDMAIL makemap.c ../src/safefile.c -ldb
cd ..

cd praliases
rm -f Makefile
cc -I../src $RPM_OPT_FLAGS -DNEWDB -s -o praliases praliases.c -ldb
cd ..

cd smrsh
cc -static -s -o smrsh -DCMDDIR=\"/etc/smrsh\" \
	-DPATH=\"/bin:/sbin:/usr/bin:/usr/sbin\" smrsh.c
cd ..

cd cf/cf
m4 redhat.mc > redhat.cf

%install
mkdir -p $RPM_BUILD_ROOT
cd $RPM_BUILD_ROOT
mkdir -p etc/rc.d/init.d etc/rc.d/rc0.d etc/rc.d/rc1.d etc/rc.d/rc2.d etc/rc.d/rc3.d etc/rc.d/rc5.d etc/rc.d/rc6.d
mkdir -p usr/bin usr/lib usr/man/man1 usr/man/man5 usr/man/man8 usr/sbin var/log var/spool usr/lib/sendmail-cf
cd -
echo "# sendmail.cw - include all aliases for your machine here." > $RPM_BUILD_ROOT/etc/sendmail.cw
(cd src; make DESTDIR=$RPM_BUILD_ROOT install)
install -s -m755 mailstats/mailstats $RPM_BUILD_ROOT/usr/bin
install -s -m755 praliases/praliases $RPM_BUILD_ROOT/usr/bin

install -s -m755 rmail/rmail $RPM_BUILD_ROOT/usr/bin
install -m644 rmail/rmail.8 $RPM_BUILD_ROOT/usr/man/man8

install -s -m755 makemap/makemap $RPM_BUILD_ROOT/usr/bin
install -m644 makemap/makemap.8 $RPM_BUILD_ROOT/usr/man/man8

install -m755 smrsh/smrsh $RPM_BUILD_ROOT/usr/sbin
install -m644 smrsh/smrsh.8 $RPM_BUILD_ROOT/usr/man/man8
mkdir -p $RPM_BUILD_ROOT/etc/smrsh

# install docs by hand
mkdir -p $RPM_BUILD_ROOT/usr/doc/sendmail
cp -ar FAQ KNOWNBUGS READ_ME RELEASE_NOTES doc $RPM_BUILD_ROOT/usr/doc/sendmail
cp smrsh/README $RPM_BUILD_ROOT/usr/doc/sendmail/README.smrsh

# install the cf files
cd cf
cp -ar * $RPM_BUILD_ROOT/usr/lib/sendmail-cf
cd -

install -m644 cf/cf/redhat.cf $RPM_BUILD_ROOT/etc/sendmail.cf
install -m644 $RPM_SOURCE_DIR/aliases $RPM_BUILD_ROOT/etc/aliases

ln -sf ../sbin/sendmail $RPM_BUILD_ROOT/usr/lib/sendmail
install -d -m755 -g mail -o root $RPM_BUILD_ROOT/var/spool/mqueue

# setup the empty aliases
# - moved to postinstall - djb
# cd $RPM_BUILD_ROOT
# chroot $RPM_BUILD_ROOT /usr/sbin/sendmail -bi
# cd -

mkdir -p $RPM_BUILD_ROOT/etc/mail
cd $RPM_BUILD_ROOT/etc/mail
touch ip_allow
touch name_allow
touch relay_allow
touch deny
# moved to postinstall - djb
# cd $RPM_BUILD_ROOT
# chroot $RPM_BUILD_ROOT (cd /etc/mail; /usr/bin/makemap hash deny < deny)
# cd -

install -m755 -g root -o root $RPM_SOURCE_DIR/sendmail.init $RPM_BUILD_ROOT/etc/rc.d/init.d/sendmail
ln -sf ../init.d/sendmail $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K30sendmail
ln -sf ../init.d/sendmail $RPM_BUILD_ROOT/etc/rc.d/rc1.d/K30sendmail
ln -sf ../init.d/sendmail $RPM_BUILD_ROOT/etc/rc.d/rc2.d/S60sendmail
ln -sf ../init.d/sendmail $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S80sendmail
ln -sf ../init.d/sendmail $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S80sendmail
ln -sf ../init.d/sendmail $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K30sendmail

cd $RPM_BUILD_ROOT
strip usr/bin/mailstats usr/bin/praliases usr/bin/rmail usr/sbin/sendmail
strip usr/bin/makemap


#$RPM_BUILD_ROOT/usr/bin/newaliases
#cp -av /etc/aliases.db $RPM_BUILD_ROOT/etc/aliases.db

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/bin/newaliases > /dev/null
cd /etc/mail
/usr/bin/makemap hash deny < deny > /dev/null

%preun
if [ $1 = 0 ]; then
	rm -f /etc/mail/deny.db
fi

%files
/usr/bin/mailstats
/usr/bin/praliases
/usr/bin/hoststat
/usr/bin/purgestat
/usr/bin/rmail
/usr/bin/makemap
/usr/sbin/sendmail
/usr/bin/newaliases
/usr/bin/mailq
/usr/sbin/smrsh
/usr/lib/sendmail

/usr/man/man8/rmail.8
/usr/man/man8/makemap.8
/usr/man/man8/sendmail.8
/usr/man/man5/aliases.5
/usr/man/man1/newaliases.1
/usr/man/man1/mailq.1

/var/log/sendmail.st
/usr/lib/sendmail.hf
%config /etc/sendmail.cf
%config /etc/sendmail.cw
%config /etc/aliases
#%ghost /etc/aliases.db
%dir /var/spool/mqueue
%dir /etc/smrsh
%dir /etc/mail
%config /etc/mail/ip_allow
%config /etc/mail/name_allow
%config /etc/mail/relay_allow
%config /etc/mail/deny

%config /etc/rc.d/init.d/sendmail
%config(missingok) /etc/rc.d/rc0.d/K30sendmail
%config(missingok) /etc/rc.d/rc1.d/K30sendmail
%config(missingok) /etc/rc.d/rc2.d/S60sendmail
%config(missingok) /etc/rc.d/rc3.d/S80sendmail
%config(missingok) /etc/rc.d/rc5.d/S80sendmail
%config(missingok) /etc/rc.d/rc6.d/K30sendmail

%files cf
/usr/lib/sendmail-cf

%files doc
/usr/doc/sendmail
